<div class="fieldset-legend">

                <div class="row margin-row">
                    <div class="col-md-12">
                        <div class="pull-left" style="margin-left:10px;">
                            <button pButton type="button" 
                                (click)="back()"
                                label="Back" 
                                icon="fa-angle-left"
                                class="ui-button-danger flat-label-button">
                            </button>
                        </div>
                        <div class="pull-right" style="margin-left:10px;">
                            <button pButton type="button" 
                                (click)="upload()"
                                label="Upload" 
                                icon="fa-upload"
                                class="ui-button-danger flat-label-button">
                            </button>
                        </div>
                    </div>
                </div>
        
                <p-accordion class="filter-accordion">
                    <p-accordionTab header="Filter" [selected]="true">
                        <div class="row" *ngIf="isNull">
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>Gudang</label>
                                    <select class="form-control" id="field_facility" name="facilities" [(ngModel)]="selectedfacility" (change)="FacilityChange()">
                                        <option [ngValue]="">ALL</option>
                                        <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>Lokasi</label>
                                    <select class="form-control" id="field_container" name="containers" [(ngModel)]="selectedcontainer" [disabled]="!selectedfacility">
                                        <option [ngValue]="">ALL</option>
                                        <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <div class="btn-filter-wrapper pull-left" style="margin-top: 30px;">
                                        <button type="button" class="btn btn-primary btn-filter" (click)="search()">
                                            <span>Filter</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" *ngIf="!isNull">
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>Gudang</label>
                                    <select class="form-control" [(ngModel)]="selectedfacility">
                                        <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>Lokasi</label>
                                    <select class="form-control" [(ngModel)]="selectedcontainer">
                                        <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <div class="btn-filter-wrapper pull-left" style="margin-top: 30px;">
                                        <button type="button" class="btn btn-primary btn-filter" (click)="search()">
                                            <span>Filter</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                </p-accordion>

                <div class="card-deck" style="margin-bottom: 15px;">
                    <div class="card">
                        <div class="card-block">
                            <div class="row">
                                <div class="col-sm-3">
                                    <div class="form-group" *ngIf="!isStockOpnameCompleted">
                                        <label class="form-control-label" for="field_dateCreate">ID Scan</label>
                                        <input type="text" class="form-control" [(ngModel)]="TextIdFrameMachine">
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group" *ngIf="!isStockOpnameCompleted">
                                        <div class="btn-filter-wrapper" style="margin-top: 30px;">
                                            <button
                                                type="button" 
                                                class="btn btn-primary btn-filter" 
                                                (click)="AddItem()"
                                                [disabled]="isStockOpnameHold">
                                                <span>Enter</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_dateCreate">Nomor Stock Opname</label>
                                        <input type="text" class="form-control" placeholder="Nomor Request" [disabled]="true" [(ngModel)]="detailStockOpname.StockOpnameNumber" style="width:100%;" readonly>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label class="form-control-label" for="field_dateCreate">Tanggal Stock Opname</label>
                                        <input type="text" class="form-control" placeholder="Nomor Request" [disabled]="true" [(ngModel)]="detailStockOpname.dtCreated" style="width:100%;" readonly>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                    <!-- <ul class="nav justify-content-end">
                        <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                            </a>
                        </li>
                    </ul> -->
        <div style="margin-block-start: 3px; width: 100%;">
            <div class="row">
                <div class="col-md-6">
                    <h6>
                        <label>DATA STOCK YANG KURANG</label>
                    </h6>
                    <p-dataTable [value]="itemsNotFound" 
                        [editable]="true" 
                        [rows]="itemsPerPage" 
                        [paginator]="true" 
                        [pageLinks]="5" 
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="queryCountNotFound" 
                        [responsive]="true" 
                        [lazy]="true" 
                        dataKey="IdItem" 
                        expandableRows="false" 
                        (onLazyLoad)="loadDataLazy($event)">
        
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                                {{rowIndex + 1}}
                                            </ng-template>
                                        </p-column> -->
                        <p-column header="Nomor Rangka">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdFrame}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nomor Mesin">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdMachine}}
                                <!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Tipe">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdProduct}}
                            </ng-template>
                        </p-column>
                        <p-column header="Gudang">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.FacilityName}}
                            </ng-template>
                        </p-column>
                        <p-column header="Lokasi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.ContainerName}}
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                </div>
                <div class="col-md-6">
                    <h6>
                        <label>DATA STOCK YANG SUDAH DIPERIKSA</label>
                    </h6>
                    <p-dataTable [value]="itemsChecked" 
                            [editable]="true" 
                            [rows]="itemsPerPage" 
                            [paginator]="true" 
                            [pageLinks]="5" 
                            [rowsPerPageOptions]="[10,15,20]"
                            [totalRecords]="queryCountChecked"
                            [responsive]="true" 
                            [lazy]="true" 
                            [immutable]="false"
                            dataKey="IdItem" 
                            expandableRows="false" 
                            (onLazyLoad)="loadDataLazy($event)">
        
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                            {{rowIndex + 1}}
                                        </ng-template>
                                    </p-column> -->
                        <p-column header="Nomor Rangka">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdFrame}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nomor Mesin">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdMachine}}
                                <!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Tipe">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdProduct}}
                            </ng-template>
                        </p-column>
                        <p-column header="Gudang">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.FacilityName}}
                            </ng-template>
                        </p-column>
                        <p-column header="Lokasi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.ContainerName}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi" [style]="{'width': '30px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="button"
                                    (click)="DeleteItem(rowData)"
                                    icon="fa-remove"
                                    class="flat-button"
                                    pTooltip="Assign"
                                    [disabled]="isStockOpnameCompleted"
                                    [style]="{'height':'50px'}">
                                </button>
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                </div>
                <div class="col-md-6">
                    <h6>
                        <label>DATA STOCK YANG TIDAK TERDAFTAR</label>
                    </h6>
                    <p-dataTable [value]="itemsExceeded" 
                        [editable]="true" 
                        [rows]="itemsPerPage" 
                        [paginator]="true" 
                        [pageLinks]="5" 
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="queryCountExceeded" 
                        [responsive]="true" 
                        [lazy]="true" 
                        dataKey="IdItem" 
                        expandableRows="false" 
                        (onLazyLoad)="loadDataLazy($event)">
                
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                                                <ng-template let-rowIndex="rowIndex" pTemplate="body"> {{rowIndex + 1}}
                                                        </ng-template>
                                                                                </p-column> -->
                        <p-column header="Nomor Rangka">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdFrame}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nomor Mesin">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdMachine}}
                                <!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Tipe">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.IdProduct}}
                            </ng-template>
                        </p-column>
                        <p-column header="Gudang">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.FacilityName}}
                            </ng-template>
                        </p-column>
                        <p-column header="Lokasi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.status == null ? rowData.ContainerName : rowData.status}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi" [style]="{'width': '30px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="button"
                                    (click)="DeleteItem(rowData)"
                                    icon="fa-remove"
                                    class="flat-button"
                                    pTooltip="Assign"
                                    [disabled]="isStockOpnameCompleted"
                                    [style]="{'height':'50px'}">
                                </button>
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                </div>
                <div class="ui-g-2 ui-sm-2" style="border: solid 1px black; width: 50%;">
                    <div class="ui-g">
                        <div class="ui-g-12" style="text-align: center;">
                            <h6>Status Input Hasil Stock Opname</h6>
                        </div>

                        <div class="ui-g-9">
                            <div class="pull-left">Data Stock</div>
                            <div class="pull-right">:</div>
                        </div>
                        <div class="ui-g-3">
                            <div class="pull-right">{{result.totalItem}} Unit</div>
                        </div>

                        <div class="ui-g-9">
                            <div class="pull-left">Data Stock Yang Diperiksa</div>
                            <div class="pull-right">:</div>
                        </div>
                        <div class="ui-g-3">
                            <div class="pull-right">{{result.sudahCheck}} Unit</div>
                        </div>

                        <div class="ui-g-9">
                            <div class="pull-left">Data Stock Yang Tidak Terdaftar</div>
                            <div class="pull-right">:</div>
                        </div>
                        <div class="ui-g-3">
                            <div class="pull-right">{{result.tidakTerdaftar}} Unit</div>
                        </div>
                        <div class="ui-g-12">
                            <hr>
                        </div>
                        <div class="ui-g-9">
                            <div class="pull-left">Data Lebih</div>
                            <div class="pull-right">:</div>
                        </div>
                        <div class="ui-g-3">
                            <div class="pull-right">{{result.lebih}} Unit</div>
                        </div>

                        <div class="ui-g-9">
                            <div class="pull-left">Data Kurang</div>
                            <div class="pull-right">:</div>
                        </div>
                        <div class="ui-g-3">
                                <div class="pull-right">{{result.kurang}} Unit</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" style="margin-block-start: 2px; width: 80%;">
                    <label>Note :</label>
                    <textarea pInputTextarea class="form-control" autoResize="true" rows="5" [(ngModel)]="detailStockOpname.note"></textarea>
                </div>
            </div>
        </div>
        <div style="margin-bottom: 20px;"></div>
        <div class="btn-filter-wrapper pull-right">
            <button 
                type="button" 
                class="btn btn-primary btn-filter" 
                (click)="SubmitStockOpname()" 
                [disabled]="!isAssignCompleted">
                <span>Submit</span>
            </button>
            &nbsp;
        </div>
        <div class="btn-filter-wrapper pull-right">
            <button 
                type="button" 
                class="btn btn-primary btn-filter" 
                (click)="openEdit()" 
                [disabled]="!isStockOpnameHold">
                <span>Edit</span>
            </button>
            &nbsp;
        </div>
        <div class="btn-filter-wrapper pull-right">
            <button 
                type="button" 
                class="btn btn-primary btn-filter" 
                (click)="cetak()" 
                [disabled]="!isStockOpnameCompleted">
                <span>Cetak Berita Acara</span>
            </button>
            &nbsp;
        </div>
        <div style="margin-bottom: 50px;"></div>
</div>
<p-confirmDialog></p-confirmDialog>